---
title: "2026 50-State Payday Laws & Paycheck Frequency Directory | StatePayRules"
source_url: "https://statepayrules.com/payday-laws/"
canonical_url: "https://statepayrules.com/payday-laws/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Authoritative 50-state statutory directory of payroll pay frequency rules (semi-monthly, bi-weekly, weekly), final paycheck deadlines, and wage claim limits."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/](https://statepayrules.com/payday-laws/)
>
> *Authoritative 50-state statutory directory of payroll pay frequency rules (semi-monthly, bi-weekly, weekly), final paycheck deadlines, and wage claim limits.*

### Managing payroll or shift workers in California?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## 50-State Payday Compliance Guide

Select any state to inspect statutory citations, pay stub rules, and wage penalty timelines.

| State | Statutory Citation | Min. Wage (/hr) | Daily OT Standard | Action |
| :--- | :--- | :--- | :--- | :--- |
| AL Alabama | Ala. Code § 25-1-1 | $7.25/hr | Standard Weekly 40h | [View AL Rules →](https://statepayrules.com/payday-laws/alabama) |
| AK Alaska | AS 23.10.055 | $11.91/hr | Overtime > 8h/day | [View AK Rules →](https://statepayrules.com/payday-laws/alaska) |
| AZ Arizona | A.R.S. § 23-363 | $14.70/hr | Standard Weekly 40h | [View AZ Rules →](https://statepayrules.com/payday-laws/arizona) |
| AR Arkansas | A.C.A. § 11-4-210 | $11.00/hr | Standard Weekly 40h | [View AR Rules →](https://statepayrules.com/payday-laws/arkansas) |
| CA California | CA Labor Code § 510 | $16.50/hr | Overtime > 8h/day | [View CA Rules →](https://statepayrules.com/payday-laws/california) |
| CO Colorado | 7 CCR 1103-1 COMPS Order #39 | $14.81/hr | Overtime > 12h/day | [View CO Rules →](https://statepayrules.com/payday-laws/colorado) |
| CT Connecticut | C.G.S. § 31-58 | $16.35/hr | Standard Weekly 40h | [View CT Rules →](https://statepayrules.com/payday-laws/connecticut) |
| DE Delaware | 19 Del. C. § 902 | $15.00/hr | Standard Weekly 40h | [View DE Rules →](https://statepayrules.com/payday-laws/delaware) |
| DC District of Columbia | D.C. Code § 32-1003 | $17.50/hr | Standard Weekly 40h | [View DC Rules →](https://statepayrules.com/payday-laws/district-of-columbia) |
| FL Florida | FL Const. Art. X § 24 | $14.00/hr | Standard Weekly 40h | [View FL Rules →](https://statepayrules.com/payday-laws/florida) |
| GA Georgia | O.C.G.A. § 34-4-3 | $7.25/hr | Standard Weekly 40h | [View GA Rules →](https://statepayrules.com/payday-laws/georgia) |
| HI Hawaii | HRS § 387-2 | $14.00/hr | Standard Weekly 40h | [View HI Rules →](https://statepayrules.com/payday-laws/hawaii) |
| ID Idaho | Idaho Code § 44-1502 | $7.25/hr | Standard Weekly 40h | [View ID Rules →](https://statepayrules.com/payday-laws/idaho) |
| IL Illinois | 820 ILCS 105/1 | $15.00/hr | Standard Weekly 40h | [View IL Rules →](https://statepayrules.com/payday-laws/illinois) |
| IN Indiana | IC 22-2-2-4 | $7.25/hr | Standard Weekly 40h | [View IN Rules →](https://statepayrules.com/payday-laws/indiana) |
| IA Iowa | Iowa Code § 91D.1 | $7.25/hr | Standard Weekly 40h | [View IA Rules →](https://statepayrules.com/payday-laws/iowa) |
| KS Kansas | K.S.A. 44-1203 | $7.25/hr | Standard Weekly 40h | [View KS Rules →](https://statepayrules.com/payday-laws/kansas) |
| KY Kentucky | KRS 337.275 | $7.25/hr | Standard Weekly 40h | [View KY Rules →](https://statepayrules.com/payday-laws/kentucky) |
| LA Louisiana | La. R.S. 23:631 | $7.25/hr | Standard Weekly 40h | [View LA Rules →](https://statepayrules.com/payday-laws/louisiana) |
| ME Maine | 26 M.R.S. § 664 | $14.65/hr | Standard Weekly 40h | [View ME Rules →](https://statepayrules.com/payday-laws/maine) |
| MD Maryland | MD Code, Lab. & Empl. § 3-413 | $15.00/hr | Standard Weekly 40h | [View MD Rules →](https://statepayrules.com/payday-laws/maryland) |
| MA Massachusetts | M.G.L. c. 151 § 1 | $15.00/hr | Standard Weekly 40h | [View MA Rules →](https://statepayrules.com/payday-laws/massachusetts) |
| MI Michigan | MCL 408.934 | $12.48/hr | Standard Weekly 40h | [View MI Rules →](https://statepayrules.com/payday-laws/michigan) |
| MN Minnesota | Minn. Stat. § 177.24 | $11.13/hr | Standard Weekly 40h | [View MN Rules →](https://statepayrules.com/payday-laws/minnesota) |
| MS Mississippi | Miss. Code § 71-1-1 | $7.25/hr | Standard Weekly 40h | [View MS Rules →](https://statepayrules.com/payday-laws/mississippi) |
| MO Missouri | R.S.Mo. § 290.502 | $13.75/hr | Standard Weekly 40h | [View MO Rules →](https://statepayrules.com/payday-laws/missouri) |
| MT Montana | MCA § 39-3-409 | $10.55/hr | Standard Weekly 40h | [View MT Rules →](https://statepayrules.com/payday-laws/montana) |
| NE Nebraska | Neb. Rev. Stat. § 48-1203 | $13.50/hr | Standard Weekly 40h | [View NE Rules →](https://statepayrules.com/payday-laws/nebraska) |
| NV Nevada | NRS 608.018 | $12.00/hr | Overtime > 8h/day | [View NV Rules →](https://statepayrules.com/payday-laws/nevada) |
| NH New Hampshire | RSA 279:21 | $7.25/hr | Standard Weekly 40h | [View NH Rules →](https://statepayrules.com/payday-laws/new-hampshire) |
| NJ New Jersey | N.J.S.A. 34:11-56a | $15.49/hr | Standard Weekly 40h | [View NJ Rules →](https://statepayrules.com/payday-laws/new-jersey) |
| NM New Mexico | NMSA 1978 § 50-4-22 | $12.00/hr | Standard Weekly 40h | [View NM Rules →](https://statepayrules.com/payday-laws/new-mexico) |
| NY New York | NY Labor Law Art. 19 § 650 | $16.50/hr | Standard Weekly 40h | [View NY Rules →](https://statepayrules.com/payday-laws/new-york) |
| NC North Carolina | N.C.G.S. § 95-25.3 | $7.25/hr | Standard Weekly 40h | [View NC Rules →](https://statepayrules.com/payday-laws/north-carolina) |
| ND North Dakota | N.D.C.C. § 34-06-22 | $7.25/hr | Standard Weekly 40h | [View ND Rules →](https://statepayrules.com/payday-laws/north-dakota) |
| OH Ohio | Ohio Const. Art. II § 34a | $10.70/hr | Standard Weekly 40h | [View OH Rules →](https://statepayrules.com/payday-laws/ohio) |
| OK Oklahoma | 40 O.S. § 197.2 | $7.25/hr | Standard Weekly 40h | [View OK Rules →](https://statepayrules.com/payday-laws/oklahoma) |
| OR Oregon | ORS 653.025 | $14.70/hr | Overtime > 10h/day | [View OR Rules →](https://statepayrules.com/payday-laws/oregon) |
| PA Pennsylvania | 43 P.S. § 333.104 | $7.25/hr | Standard Weekly 40h | [View PA Rules →](https://statepayrules.com/payday-laws/pennsylvania) |
| RI Rhode Island | R.I. Gen. Laws § 28-12-3 | $15.00/hr | Standard Weekly 40h | [View RI Rules →](https://statepayrules.com/payday-laws/rhode-island) |
| SC South Carolina | S.C. Code § 41-1-10 | $7.25/hr | Standard Weekly 40h | [View SC Rules →](https://statepayrules.com/payday-laws/south-carolina) |
| SD South Dakota | SDCL § 60-11-3 | $11.50/hr | Standard Weekly 40h | [View SD Rules →](https://statepayrules.com/payday-laws/south-dakota) |
| TN Tennessee | T.C.A. § 50-2-101 | $7.25/hr | Standard Weekly 40h | [View TN Rules →](https://statepayrules.com/payday-laws/tennessee) |
| TX Texas | Tex. Lab. Code § 62.051 | $7.25/hr | Standard Weekly 40h | [View TX Rules →](https://statepayrules.com/payday-laws/texas) |
| UT Utah | Utah Code § 34-40-101 | $7.25/hr | Standard Weekly 40h | [View UT Rules →](https://statepayrules.com/payday-laws/utah) |
| VT Vermont | 21 V.S.A. § 384 | $14.01/hr | Standard Weekly 40h | [View VT Rules →](https://statepayrules.com/payday-laws/vermont) |
| VA Virginia | Va. Code § 40.1-28.9 | $12.41/hr | Standard Weekly 40h | [View VA Rules →](https://statepayrules.com/payday-laws/virginia) |
| WA Washington | RCW 49.46.020 | $16.66/hr | Standard Weekly 40h | [View WA Rules →](https://statepayrules.com/payday-laws/washington) |
| WV West Virginia | W. Va. Code § 21-5C-2 | $8.75/hr | Standard Weekly 40h | [View WV Rules →](https://statepayrules.com/payday-laws/west-virginia) |
| WI Wisconsin | Wis. Stat. § 104.02 | $7.25/hr | Standard Weekly 40h | [View WI Rules →](https://statepayrules.com/payday-laws/wisconsin) |
| WY Wyoming | Wyo. Stat. § 27-4-202 | $7.25/hr | Standard Weekly 40h | [View WY Rules →](https://statepayrules.com/payday-laws/wyoming) |

### Managing payroll or shift workers in United States?

### Help United States Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/](https://statepayrules.com/payday-laws/).
